Page MenuHomePhabricator

trim() function returns duplicates of features
Closed, ResolvedPublic

Description

We use this method to identify human-understandable features for output in ORES. Regretfully, it seems to output duplicate features when it re-encounters the same features. We haven't noticed this in the past because we dump things into a dict() and that ensure no duplication of features.

Event Timeline

Halfak created this task.Jul 25 2019, 7:01 PM
Restricted Application added a project: artificial-intelligence. · View Herald TranscriptJul 25 2019, 7:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ACraze added a subscriber: ACraze.Jul 26 2019, 4:48 PM

@Halfak looks good, merged!

Halfak closed this task as Resolved.Aug 7 2019, 3:52 PM